Ads and Commerce
Ads and Commerce
Resources

Ad Account Asyncadcreatives

Updated: Jun 2, 2025

Reading

Async ad creative jobs from this Ad Account.

Example

GET /v25.0/{ad-account-id}/asyncadcreatives HTTP/1.1
Host: graph.facebook.com
If you want to learn how to use the Graph API, read our Using Graph API guide

Parameters

Parameter Description
is_completed
boolean
If true, we only return completed ad request sets.

Fields

Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}
data
A list of AdAsyncRequestSet nodes.
paging
For more details about pagination, see the Graph API guide.

Error Codes

Error Code Description
80004
There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#ads-management.

Creating

/act_{ad_account_id}/asyncadcreatives

You can make a POST request to asyncadcreatives edge from the following paths:
When posting to this edge, no Graph object will be created.

Parameters

Parameter Description
creative_spec
AdCreative
Specs for ad creative
required
supports emoji
name
UTF-8 encoded string
Name of async job
required
notification_mode
enum{OFF, ON_COMPLETE}
Specify 0 for no notifications and 1 for notification on completion.
notification_uri
URL
If notifications are enabled, specify the URL to send them.

Return Type

This endpoint supports read-after-write and will read the node represented by id in the return type.
Struct  {
id: numeric string,
}

Error Codes

Error Code Description
100
Invalid parameter

Updating

You can't perform this operation on this endpoint.

Deleting

You can't perform this operation on this endpoint.
Did you find this page helpful?
Thumbs up icon
Thumbs down icon